﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Length Validations</title>

<!-- GENERAL DATA TYPE ABSTRACT RULES 
 xsd-datatype-monetary  -->

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS9] <> NULL AND
        [CAS9] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS9] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount-->

<assert  id="VR.ATO.CAS.400014" diagnostics="DVR.ATO.CAS.400014" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS10] <> NULL AND
        [CAS10] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS10] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount-->

<assert  id="VR.ATO.CAS.400015" diagnostics="DVR.ATO.CAS.400015" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr1.02.02:Income.DepreciatingAssetsAssessbleIncomeFromBalancingAdjustmentEventsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS11] <> NULL AND
        [CAS11] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS11] = CAS:RP:bafpr1.xx.xx:Income.DepreciatingAssetsAssessbleIncomeFromBalancingAdjustmentEventsTotal.Amount-->

<assert  id="VR.ATO.CAS.400016" diagnostics="DVR.ATO.CAS.400016" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductibleFromBalancingAdjustmentEventsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS12] <> NULL AND
        [CAS12] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS12] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductibleFromBalancingAdjustmentEventsTotal.Amount-->

<assert  id="VR.ATO.CAS.400017" diagnostics="DVR.ATO.CAS.400017" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS13] <> NULL AND
        [CAS13] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS13] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount-->

<assert  id="VR.ATO.CAS.400018" diagnostics="DVR.ATO.CAS.400018" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS14] <> NULL AND
        [CAS14] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS14] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount-->

<assert  id="VR.ATO.CAS.400019" diagnostics="DVR.ATO.CAS.400019" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS15] <> NULL AND
        [CAS15] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS15] = CAS:RP:bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount-->

<assert  id="VR.ATO.CAS.400020" diagnostics="DVR.ATO.CAS.400020" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS17] <> NULL AND
        [CAS17] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS17] = CAS:RP:bafpo7.xx.xx:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount-->

<assert  id="VR.ATO.CAS.400022" diagnostics="DVR.ATO.CAS.400022" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.AdjustableValuesOfLowValueAssetsAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS18] <> NULL AND
        [CAS18] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS18] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.AdjustableValuesOfLowValueAssetsAllocatedToLowValuePoolTotal.Amount-->

<assert  id="VR.ATO.CAS.400023" diagnostics="DVR.ATO.CAS.400023" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.SecondElementOfCostAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS19] <> NULL AND
        [CAS19] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS19] = CAS:RP:bafpo7.xx.xx:Assets.DepreciatingAssets.SecondElementOfCostAllocatedToLowValuePoolTotal.Amount-->

<assert  id="VR.ATO.CAS.400024" diagnostics="DVR.ATO.CAS.400024" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.TerminationValuesOfAssetsInLowValuePoolForBalancingAdjustmentEventTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS21] <> NULL AND
        [CAS21] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS21] = CAS:RP:bafpo7.xx.xx:Assets.DepreciatingAssets.TerminationValuesOfAssetsInLowValuePoolForBalancingAdjustmentEventTotal.Amount-->

<assert  id="VR.ATO.CAS.400026" diagnostics="DVR.ATO.CAS.400026" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS23] <> NULL AND
        [CAS23] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS23] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount-->

<assert  id="VR.ATO.CAS.400027" diagnostics="DVR.ATO.CAS.400027" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS24] <> NULL AND
        [CAS24] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS24] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount-->

<assert  id="VR.ATO.CAS.400028" diagnostics="DVR.ATO.CAS.400028" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForEnvironmentalAssessments.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS28] <> NULL AND
        [CAS28] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS28] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.ProjectPoolAllocationsForEnvironmentalAssessments.Amount-->

<assert  id="VR.ATO.CAS.400031" diagnostics="DVR.ATO.CAS.400031" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS29] <> NULL AND
        [CAS29] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS29] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount-->

<assert  id="VR.ATO.CAS.400032" diagnostics="DVR.ATO.CAS.400032" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS30] <> NULL AND
        [CAS30] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS30] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.ProjectPoolAllocationsOther.Amount-->

<assert  id="VR.ATO.CAS.400033" diagnostics="DVR.ATO.CAS.400033" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS31] <> NULL AND
        [CAS31] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS31] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount-->

<assert  id="VR.ATO.CAS.400034" diagnostics="DVR.ATO.CAS.400034" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS32] <> NULL AND
        [CAS32] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS32] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount-->

<assert  id="VR.ATO.CAS.400035" diagnostics="DVR.ATO.CAS.400035" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr1.02.02:Income.HedgingGains.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS39] <> NULL AND
        [CAS39] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount-->

<assert  id="VR.ATO.CAS.400036" diagnostics="DVR.ATO.CAS.400036" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr1.02.02:Expense.HedgingLosses.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS40] <> NULL AND
        [CAS40] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount-->

<assert  id="VR.ATO.CAS.400037" diagnostics="DVR.ATO.CAS.400037" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS5] <> NULL AND
        [CAS5] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS5] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount-->

<assert  id="VR.ATO.CAS.400038" diagnostics="DVR.ATO.CAS.400038" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--IF [CAS6] <> NULL AND
        [CAS6] <> MONETARY(S,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [CAS6] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount-->

<assert  id="VR.ATO.CAS.400039" diagnostics="DVR.ATO.CAS.400039" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CAS7] <> NULL AND [CAS7] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS7] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount
        -->

<assert  id="VR.ATO.CAS.400040" diagnostics="DVR.ATO.CAS.400040" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>
<!-- separate contexts other than RP are below -->

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.LowValuePoolBalance.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CAS16] <> NULL AND [CAS16] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS16] = CAS:RP.Y0-1:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.LowValuePoolBalance.Amount
        -->

<assert  id="VR.ATO.CAS.400021" diagnostics="DVR.ATO.CAS.400021" test="@contextRef != $RP.Y0-1.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
<!--
            IF [CAS20] <> NULL AND [CAS20] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [CAS20] = CAS:RP.Y0:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.LowValuePoolBalance.Amount
        -->

<assert  id="VR.ATO.CAS.400025" diagnostics="DVR.ATO.CAS.400025" test="@contextRef != $RP.Y0.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.ClosingPoolValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CAS26] <> NULL AND [CAS26] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS26] = CAS:RP.Y0-1:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.ClosingPoolValuesTotal.Amount
        -->

<assert  id="VR.ATO.CAS.400029" diagnostics="DVR.ATO.CAS.400029" test="@contextRef != $RP.Y0-1.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
<!--
            IF [CAS27] <> NULL AND [CAS27] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS27] = CAS:RP.Y0:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.ClosingPoolValuesTotal.Amount
        -->

<assert  id="VR.ATO.CAS.400030" diagnostics="DVR.ATO.CAS.400030" test="contextRef != $RP.Y0.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>
<!-- ENUMERATIONS -->

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

<!--
            Rule ID: VR.ATO.GEN.410049

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
               RETURN VALIDATION MESSAGE
            ENDIF
            TODO: Pending outcome of LEVEL A issue raised.
        -->

<assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="regexp:test(.,'^MN$')"></assert>
</rule>
</pattern>