﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>CrossForm Validations</title>


    <rule
            context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE4] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF
      
    [IEE4] = IEE:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) IN TUPLE(xbrli\orgname2.xx.xx:OrganisationNameDetails)
    -->

        <assert  id="VR.ATO.IEE.410135" diagnostics="DVR.ATO.IEE.410135" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE5] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF

    [IEE5] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
    -->

        <assert  id="VR.ATO.IEE.410136" diagnostics="DVR.ATO.IEE.410136" subject="pyde.02.00:AddressDetails.Line1.Text" test="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE6] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF

    [IEE6] = IEE:RP:pyde.xx.xx:AddressDetails.LocalityName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
    -->

        <assert  id="VR.ATO.IEE.410137" diagnostics="DVR.ATO.IEE.410137" subject="pyde.02.00:AddressDetails.LocalityName.Text" test="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE49] <> NULL) AND ([IEE45] <> [IEE1]) 
        RETURN VALIDATION MESSAGE
      ENDIF

    [IEE49] = IEE:RP:rvctc3.xx.xx:Elections.Commencement.Date
    [IEE45] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionStatus.Year
    [IEE1] = IEE:RP:pyin.xx.xx:Lodgment.PeriodYear.Year
    -->

        <assert  id="VR.ATO.IEE.410199" diagnostics="DVR.ATO.IEE.410199" subject="rvctc3.02.00:Elections.Commencement.Date" test="
                not(
                  //rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] and
                  //rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] !=
                  //pyin.02.00:Lodgment.PeriodYear.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')])"></assert>


        <!--
        WHERE PARENT RETURN DOES NOT EXIST
        IF INT<> NULLORBLANK AND COUNT (iee.0002.lodge.req.xx.xx:DeclarationOfTrusteeOrPartner) > 0 OR COUNT [IEE147] > 0
             RETURN VALIDATION MESSAGE
        ENDIF
        ^^
        [IEE147] = IEE:RP:pyin.xx.xx:Declaration.StatementType.Code IN TUPLE(declaration2.xx.xx:Declaration)
        -->
        <assert  id="VR.ATO.IEE.410261" diagnostics="DVR.ATO.IEE.410261"
                 subject="pyin.02.03:Declaration.StatementType.Code"
                 test="not(
                    $INT.IEE.ContextId 
                    and
                    (count(//iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    or  count(//declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                 )"></assert>
    </rule>

    <rule
            context="//rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF [IEE116] = "R"
        RETURN VALIDATION MESSAGE
      ENDIF

    [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
    -->

        <assert  id="VR.ATO.IEE.410197" diagnostics="DVR.ATO.IEE.410197" test="not(@contextRef = $RP.IEE.ContextId) or exslt:uppercase(.) != 'R'"></assert>
    </rule>

    <rule
            context="//iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]">

        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE16] = SET("217","161","212")) AND ([IEE26] <> TRUE) AND ([IEE25] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF

    [IEE16] = IEE:RP:ptde.xx.xx:Party.Type.Code
    [IEE26] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(iee.0002.lodge.request.xx.xx:TrusteeOrPartner)
    [IEE25] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:TrusteeOrPartner)
    -->

        <assert  id="VR.ATO.IEE.410099" diagnostics="DVR.ATO.IEE.410099" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                not(
                  pyde.02.03:Party.Type.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '217' or . = '161' or . = '212')] and
                  not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '1' or . = 'true')]) and
                  not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
    </rule>

    <rule
            context="//iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]">

        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE50] <> NULLORBLANK) AND ([IEE50] = [IEE3])
        RETURN VALIDATION MESSAGE
    END IF
    
    [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
    [IEE3] = 
    -->

        <assert  id="VR.ATO.IEE.410041" diagnostics="DVR.ATO.IEE.410041" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                not(
                  pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] and
                    pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] = 
                    $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])"></assert>
    </rule>

    <rule
            context="//iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]">

        <!--
    WHERE PARENT RETURN DOES NOT EXIST
      IF ([IEE63] <> TRUE) AND ([IEE62] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF
    
    [IEE63] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
    [IEE62] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
    -->

        <assert  id="VR.ATO.IEE.410086" diagnostics="DVR.ATO.IEE.410086" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                not(
                  not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '1' or . = 'true')]) and
                  not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>

    </rule>

    
</pattern>