﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>XBRL Context Id variables that are applicable accross all S25A services.</title>

<!-- CONTEXT ID SINGLE DIMENSION VARIABLES 
 RP Context Variables -->
<let
		name="RP.Context"
		value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
                 ]" />
<let
		name="RP.ContextId"
		value="$RP.Context/@id" />
<!-- CONTEXT ID DOUBLE DIMENSION VARIABLES 
 RP.CFCLC Context Variables -->
<let
		name="RP.CFCLC.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let
		name="RP.CFCLC.ContextId"
		value="$RP.CFCLC.Context/@id" />
<!-- RP.CFC404 Context Variables -->
<let
		name="RP.CFC404.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let
		name="RP.CFC404.ContextId"
		value="$RP.CFC404.Context/@id" />
<!-- RP.CFCUC Context Variables -->
<let
		name="RP.CFCUC.Context"
		value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
          ]" />
<let
		name="RP.CFCUC.ContextId"
		value="$RP.CFCUC.Context/@id" />
<!-- RP.All Context Variables -->
<let
		name="RP.All.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:All$')]) = 1]
           ]" />
<let
		name="RP.All.ContextId"
		value="$RP.All.Context/@id" />
<!-- RP.All Context Variables -->
<let
		name="RP.s404andUnlisted.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404AndUnlistedCountry$')]) = 1]
           ]" />
<let
		name="RP.s404andUnlisted.ContextId"
		value="$RP.s404andUnlisted.Context/@id" />
<!-- RP.Opening Context Variables -->
<let
		name="RP.Opening.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]
           ]" />
<let
		name="RP.Opening.ContextId"
		value="$RP.Opening.Context/@id" />
<!-- RP.Opening Context Variables -->
<let
		name="RP.Closing.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
           ]" />
<let
		name="RP.Closing.ContextId"
		value="$RP.Closing.Context/@id" />
<!-- CONTEXT ID TRIPLE DIMENSION VARIABLES 
 RP.Opening.CFCLC Context Variables -->
<let
		name="RP.Opening.CFCLC.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let
		name="RP.Opening.CFCLC.ContextId"
		value="$RP.Opening.CFCLC.Context/@id" />
<!-- RP.Opening.CFC404 Context Variables -->
<let
		name="RP.Opening.CFC404.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let
		name="RP.Opening.CFC404.ContextId"
		value="$RP.Opening.CFC404.Context/@id" />
<!-- RP.Opening.CFCUC Context Variables -->
<let
		name="RP.Opening.CFCUC.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
<let
		name="RP.Opening.CFCUC.ContextId"
		value="$RP.Opening.CFCUC.Context/@id" />
<!-- RP.Closing.CFCLC Context Variables -->
<let
		name="RP.Closing.CFCLC.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let
		name="RP.Closing.CFCLC.ContextId"
		value="$RP.Closing.CFCLC.Context/@id" />
<!-- RP.Closing.CFC404 Context Variables -->
<let
		name="RP.Closing.CFC404.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let
		name="RP.Closing.CFC404.ContextId"
		value="$RP.Closing.CFC404.Context/@id" />
<!-- RP.Closing.CFCUC Context Variables -->
<let
		name="RP.Closing.CFCUC.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
<let
		name="RP.Closing.CFCUC.ContextId"
		value="$RP.Closing.CFCUC.Context/@id" />
</pattern>