﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	schemaVersion="ISO19757-3"
	queryBinding="xslt" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation of Process Form for SBR Lodge Web Service</title>

    <!-- XML/SOAP namespaces -->
    <ns prefix="s" uri="http://www.w3.org/2003/05/soap-envelope" />
    <ns prefix="wsa" uri="http://www.w3.org/2005/08/addressing" />
    <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
    <ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />

    <!-- EXSLT and extension namespaces -->
    <ns prefix="regexp" uri="http://exslt.org/regular-expressions" />
    <ns prefix="date" uri="http://exslt.org/dates-and-times" />
    <ns prefix="function" uri="http://www.ato.gov.au/IS/2009/02" />
    <ns prefix="msxsl" uri="urn:schemas-microsoft-com:xslt" />
    <ns prefix="Exslt.ExsltStrings" uri="http://gotdotnet.com/exslt/strings" />
    <ns prefix="common" uri="http://exslt.org/common" />

    <!-- XBRL/XLink namespaces -->
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="xbrldt" uri="http://xbrl.org/2005/xbrldt" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
    <ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
    <ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
    <ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />

    <!-- Core SBR namespaces -->
    <ns prefix="sbdh" uri="http://sbr.gov.au/comn/sbdm.02.data" />
    <ns prefix="core" uri="http://sbr.gov.au/comn/core.02.data" />
    <ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
    <ns prefix="service" uri="http://sbr.gov.au/comn/lodge.02.service" />

    <!-- Taxonomy namespaces -->
    <ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="bafot.02.02" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.02.data" />
    <ns prefix="bafpo1.02.02" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.02.data" />
    <ns prefix="bafpo1.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data" />
    <ns prefix="bafpo5.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.00.data" />
    <ns prefix="bafpo6.02.05" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
    <ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
    <ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
    <ns prefix="rvctc1.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />

    <ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
    <ns prefix="declaration2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" />
    <ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
    <ns prefix="rvctc4.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" />
    <ns prefix="rvctc4.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />
    <ns prefix="pyde.02.06" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.06.data" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />

    <!-- S25A specific namespaces -->
    <ns prefix="s25a.0002.prv" uri="http://sbr.gov.au/rprt/ato/s25a/s25a.0002.private.02.00.module" />
    <ns prefix="s25a.0002.lodge.request.02.00" uri="http://sbr.gov.au/rprt/ato/s25a/s25a.0002.lodge.request.02.00.report" />

    <phase id="Full">
        <active pattern="Variables" />
        <active pattern="Abstracts" />
        <active pattern="DataTypes" />
        <active pattern="Length" />
        <active pattern="Context" />
        <active pattern="Mandatories" />
        <active pattern="Content" />
    </phase>

    <phase id="Prerequisites">
        <active pattern="Variables" />
        <active pattern="Abstracts" />
        <active pattern="DataTypes" />
        <active pattern="Length" />
        <active pattern="Context" />
    </phase>

    <phase id="Mandatories">
        <active pattern="Variables" />
        <active pattern="Mandatories" />
    </phase>

    <phase id="Content">
        <active pattern="Variables" />
        <active pattern="Content" />
    </phase>

    <include href="../../Common/Abstracts.sch" />
    <include href="../Common/Variables.sch" />
    <include href="../Common/Context.sch" />
    <include href="../Common/Content.sch" />
    <include href="../Common/Mandatories.sch" />
    <include href="../Common/FieldPatterns.sch" />
    <include href="../Common/DataTypes.sch" />
    <include href="../../Diagnostics.sch" />
</schema>