﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:date="http://exslt.org/dates-and-times" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings" xmlns:common="http://exslt.org/common" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:service="http://sbr.gov.au/comn/prelodge.02.service" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:bafot.02.02="http://sbr.gov.au/icls/baf/bafot/bafot.02.02.data" xmlns:bafpo1.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.02.data" xmlns:bafpo1.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data" xmlns:bafpo5.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.00.data" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:pyde.02.06="http://sbr.gov.au/icls/py/pyde/pyde.02.06.data" xmlns:s25a.0002.prv="http://sbr.gov.au/rprt/ato/s25a/s25a.0002.private.02.00.module" xmlns:s25a.0002.lodge.request.02.00="http://sbr.gov.au/rprt/ato/s25a/s25a.0002.lodge.request.02.00.report"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M54" /><xsl:apply-templates select="/" mode="M56" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all S25A services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]                  ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="RP.CFCLC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]            ]" /><xsl:variable name="RP.CFCLC.ContextId" select="$RP.CFCLC.Context/@id" /><xsl:variable name="RP.CFC404.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]            ]" /><xsl:variable name="RP.CFC404.ContextId" select="$RP.CFC404.Context/@id" /><xsl:variable name="RP.CFCUC.Context" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]           ]" /><xsl:variable name="RP.CFCUC.ContextId" select="$RP.CFCUC.Context/@id" /><xsl:variable name="RP.All.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:All$')]) = 1]            ]" /><xsl:variable name="RP.All.ContextId" select="$RP.All.Context/@id" /><xsl:variable name="RP.s404andUnlisted.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404AndUnlistedCountry$')]) = 1]            ]" /><xsl:variable name="RP.s404andUnlisted.ContextId" select="$RP.s404andUnlisted.Context/@id" /><xsl:variable name="RP.Opening.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]            ]" /><xsl:variable name="RP.Opening.ContextId" select="$RP.Opening.Context/@id" /><xsl:variable name="RP.Closing.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]            ]" /><xsl:variable name="RP.Closing.ContextId" select="$RP.Closing.Context/@id" /><xsl:variable name="RP.Opening.CFCLC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]            ]" /><xsl:variable name="RP.Opening.CFCLC.ContextId" select="$RP.Opening.CFCLC.Context/@id" /><xsl:variable name="RP.Opening.CFC404.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]            ]" /><xsl:variable name="RP.Opening.CFC404.ContextId" select="$RP.Opening.CFC404.Context/@id" /><xsl:variable name="RP.Opening.CFCUC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]            ]" /><xsl:variable name="RP.Opening.CFCUC.ContextId" select="$RP.Opening.CFCUC.Context/@id" /><xsl:variable name="RP.Closing.CFCLC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]            ]" /><xsl:variable name="RP.Closing.CFCLC.ContextId" select="$RP.Closing.CFCLC.Context/@id" /><xsl:variable name="RP.Closing.CFC404.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]            ]" /><xsl:variable name="RP.Closing.CFC404.ContextId" select="$RP.Closing.CFC404.Context/@id" /><xsl:variable name="RP.Closing.CFCUC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]            ]" /><xsl:variable name="RP.Closing.CFCUC.ContextId" select="$RP.Closing.CFCUC.Context/@id" /><xsl:template match="text()" priority="-1" mode="M54" /><xsl:template match="@*|node()" priority="-2" mode="M54"><xsl:apply-templates select="@*|*" mode="M54" /></xsl:template>

<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M56">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not((bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|                         bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])                         and                         (count(s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]) = 0))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(sum(common:node-set(s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) &gt; 0                           and((count(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)                           and(count(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))                           and(count(bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or number(bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424005</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((number(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0                           or number(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0                           or number(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0                           or number(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0)                           and((count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)                           or (count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                       or number(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                       or number(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          or number(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          or number(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          or number(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)                           and((count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)                          or (count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424012</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                          (                              (number(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                               or number(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)                               and                               (                                 count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                                 or                                 count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                               )                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((number(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           or number(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           or number(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           or number(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           or number(bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           or number(bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)                           and(count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                           or count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424014</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                           (                               bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                               and                               (                                   count(bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                                   and                                   count(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                               )                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.CapitalNature.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])=0                           and(                           count(bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                           or count(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424022</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.CapitalNature.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                        or bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                        or bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                            and bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                        != sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                           + sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                               + sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424031</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                           or bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                           or bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                         and count(bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424032</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]) &gt; 0                           and(                           (count(bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0                             or count(bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0)                           and                                               (count(bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0                             or count(bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)                           and                           (count(bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0                             or count(bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424033</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                           and orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]!='MN')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424039</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(1|2|3|4)$'))])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424111</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M56">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                           and(count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code                           [(../pyin.02.00:Report.ItemOrder.Number='1' or ../pyin.02.00:Report.ItemOrder.Number='2'                            or ../pyin.02.00:Report.ItemOrder.Number='3')                            and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0])=0))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                           and count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1' or ../pyin.02.00:Report.ItemOrder.Number='2' or ../pyin.02.00:Report.ItemOrder.Number='3')                           and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                (                 (count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                  or count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0                  or count(bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                  or count(../bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]) = 0)                 and                 (count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                  or count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                  or number(bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                  or number(../bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;= 0)                )          " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(s25a.0002.lodge.request.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                            and not(regexp:test(.,'^(1|2|3)$'))]) &gt; 0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424111</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/s25a.0002.lodge.req.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:ForeignLocations[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M56">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code                           [not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0                            and .=../preceding-sibling::s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424006</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Country.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                            and .=../preceding-sibling::s25a.0002.lodge.request.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424112</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424116</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M56">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                            and .=../preceding-sibling::s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424112</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(pyin.02.00:Report.ItemOrder.Number                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                            and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424116</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Report.ItemOrder.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:ArmsLengthPricingMethod[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M56">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                           and count(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                           and count(bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424018</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt; 0                           and bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                           =preceding::s25a.0002.lodge.request.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.S25A.424019</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template><xsl:template match="text()" priority="-1" mode="M56" /><xsl:template match="@*|node()" priority="-2" mode="M56"><xsl:apply-templates select="@*|*" mode="M56" /></xsl:template></xsl:stylesheet>