﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	    schemaVersion="ISO19757-3"
	    queryBinding="xslt" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Cross Form Validation for SBR ITR Lodge Web Services</title>

	<!-- XML/SOAP Namespaces -->
	<ns prefix="s" uri="http://www.w3.org/2003/05/soap-envelope" />
	<ns prefix="wsa" uri="http://www.w3.org/2005/08/addressing" />
	<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
	<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />

	<!-- Extension Namespaces -->
	<ns prefix="regexp" uri="http://exslt.org/regular-expressions" />
	<ns prefix="function" uri="http://www.ato.gov.au/IS/2009/02" />
	<ns prefix="msxsl" uri="urn:schemas-microsoft-com:xslt" />
	<ns prefix="regexp" uri="http://exslt.org/regular-expressions" />
	<ns prefix="common" uri="http://exslt.org/common" />
	<ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
	<ns prefix="date" uri="http://exslt.org/dates-and-times" />
	<ns prefix="math" uri="http://exslt.org/math" />

	<!-- XBRL/XLink Namespaces -->
	<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
	<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
	<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
	<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />

	<!-- Core SBR Namespaces -->
	<ns prefix="sbdh" uri="http://sbr.gov.au/comn/sbdm.02.data" />
	<ns prefix="core" uri="http://sbr.gov.au/comn/core.02.data" />
	<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />

	<!-- SMSFAR Namespaces -->
	<ns prefix="smsfar.0001.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/smsfar/smsfar.0001.lodge.request.02.00.report" />
    <ns prefix="lrla.02.00" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" />
    <ns prefix="rvctc2.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data" />
    <ns prefix="rvctc2.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"/>
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="rvctc3.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"/>
    <ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
    <ns prefix="rvctc3.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data" />
    <ns prefix="bafpr3.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" />
    <ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
    <ns prefix="bafpr1.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data" />
    <ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
    <ns prefix="lrla.02.05" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data" />
    <ns prefix="gfagc.02.01" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" />
    <ns prefix="period1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" />
    <ns prefix="pyin.02.05" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="address2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
    <ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
    <ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />

    <!-- CrossForm Namespaces -->
    <ns prefix="nipss.0001.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/nipss/nipss.0001.lodge.request.02.00.report" />
    <ns prefix="iee.0002.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report" />
    <ns prefix="cgts.0001.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/cgts/cgts.0001.lodge.request.02.00.report" />

    <include href="../Common/CrossFormVariables.sch" />
	<include href="../Common/CrossForm.sch" />
    <include href="../Common/CrossFormNIP.sch" />
    <include href="../Common/CrossFormIEE.sch" />
    <include href="../Common/CrossFormCGTS.sch" />
    <include href="../Common/CrossFormCAS.sch" />
    <include href="../Common/CrossFormLOS.sch" />
    <include href="../Common/CrossFormFTER.sch" />
    <include href="../../Diagnostics.sch" />

</schema>
