﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Content Validations</title>


<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.CAS.400004 

        IF [CAS9] > ([CAS5] + [CAS6])
            RETURN VALIDATION MESSAGE
        ENDIF

        [CAS9] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount
        [CAS5] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
        [CAS6] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
    -->

<assert  id="VR.ATO.CAS.400004" diagnostics="DVR.ATO.CAS.400004" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount" test="not
	                (
			            sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    &gt; 
                        sum(common:node-set(
                            bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        ))
	                )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400006

            IF [CAS17] > ( [CAS5] + [CAS7])
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS17] = CAS:RP:bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount
            [CAS5] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
            [CAS7] = CAS:RP:bafpo7.xx.xx:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount
        -->

<assert  id="VR.ATO.CAS.400006" diagnostics="DVR.ATO.CAS.400006" subject="bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount" test="not
	                    (
			                sum(common:node-set(bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        &gt; 
	                        sum(common:node-set(
                                bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            |
	                            bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400000
            
            IF ( [CAS5] > 0 OR [CAS6] > 0 OR [CAS7] > 0 )  AND [CAS8] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS5] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
            [CAS6] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
            [CAS7] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount
            [CAS8] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
        -->

<assert  id="VR.ATO.CAS.400000" diagnostics="DVR.ATO.CAS.400000" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator" test="not
	                    (
                            (	
	                            number(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        )	
	                    and
	                    count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400001
            
            IF  [CAS8] <> NULL  AND ([CAS5] = NULL  AND [CAS6] = NULL  AND [CAS7] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS8] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
            [CAS5] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
            [CAS6] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount
            [CAS7] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount
        -->

<assert  id="VR.ATO.CAS.400001" diagnostics="DVR.ATO.CAS.400001" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator" test="not
	                    (
			                count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        and
	                        (	
	                            count(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            and
	                            count(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            and
	                            count(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400002
            
            IF [CAS8] = TRUE  AND (([CAS9] = NULL OR [CAS9] = 0) AND ([CAS10] = NULL OR [CAS10] = 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS8] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
            [CAS9] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount
            [CAS10] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount
            
            note 
            ([CAS9] = NULL OR [CAS9] = 0) AND ([CAS10] = NULL OR [CAS10] = 0) is the same as 
            [CAS9] + [CAS10] = 0
        -->

<assert  id="VR.ATO.CAS.400002" diagnostics="DVR.ATO.CAS.400002" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator" test="not
	                    (
			                count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]) &gt; 0
	                    and
	                    (	
                            sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
	                        and
	                        sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
	                    )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400003

            IF [CAS8] = FALSE AND ([CAS9] <> NULL OR [CAS10] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS8] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
            [CAS9] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount
            [CAS10] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount
        -->

<assert  id="VR.ATO.CAS.400003" diagnostics="DVR.ATO.CAS.400003" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator" test="not
                        (
			                count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]) &gt; 0
	                        and
	                        (	
	                        count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        or
	                        count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0
	                        )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400005
       
            IF [CAS10] > [CAS7]
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS10] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount
            [CAS7] = CAS:RP:bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount
        -->

<assert  id="VR.ATO.CAS.400005" diagnostics="DVR.ATO.CAS.400005" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount" test="not
	                    (
			                sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        &gt; 
	                        sum(common:node-set(bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400007
            
            IF  [CAS22] = TRUE  AND (([CAS23] = NULL OR [CAS23] = 0) AND ([CAS24] = NULL OR [CAS24] = 0 ))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CAS22] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
            [CAS23] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount
            [CAS24] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount
        -->

<assert  id="VR.ATO.CAS.400007" diagnostics="DVR.ATO.CAS.400007" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator" test="not
	                    (
			                count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]) &gt; 0
	                        and
	                        (	
	                            sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
	                            and
	                            sum(common:node-set(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
	                        )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CAS.400008
            
            IF [CAS22] = FALSE AND ([CAS23] <> NULL OR [CAS24] <> NULL )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS22] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
            [CAS23] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount
            [CAS24] = CAS:RP:bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount
       -->

<assert  id="VR.ATO.CAS.400008" diagnostics="DVR.ATO.CAS.400008" subject="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator" test="not
	                (
			            count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]) &gt; 0
	                    and
	                    (	
	                        count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        or
	                        count(bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                    )	
	                )"></assert>
</rule>
</pattern>