﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Content Validations</title>


<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGTS.402002
            
            IF (SumCapLossApplied_Indexation() > SumCYCG_Indexation())
                RETURN VALIDATION MESSAGE
            ENDIF

            SumCapLossApplied_Indexation() = [CGTS30] + [CGTS33] + [CGTS36]
            SumCYCG_Indexation() = [CGTS6] + [CGTS86] + [CGTS9] + [CGTS12] + [CGTS15] + [CGTS18] + [CGTS83] + [CGTS21] + [CGTS24]
            
            [CGTS30] = CGTS:RP.MI.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS33] = CGTS:RP.MI.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS36] = CGTS:RP.MI.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS6]  = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS9]  = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS12] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS15] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS18] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS21] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS24] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402002" diagnostics="DVR.ATO.CGTS.402002" subject="rvctc3.02.02:Capital.Losses.Applied.Amount" test="not
	                        (
                            sum(common:node-set(
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt;
                            sum(common:node-set(
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402003
            
            IF (SumCapLossApplied_Discount() > SumCYCG_Discount())
                RETURN VALIDATION MESSAGE
            ENDIF

            SumCapLossApplied_Discount() = [CGTS31] + [CGTS34] + [CGTS37]
            SumCYCG_Discount() = [CGTS7] + [CGTS85] + [CGTS10] + [CGTS13] + [CGTS16] + [CGTS88] + [CGTS19] + [CGTS82] + [CGTS22] + [CGTS25]
            
            [CGTS31] = CGTS:RP.MD.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS34] = CGTS:RP.MD.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS37] = CGTS:RP.MD.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS7]  = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS10] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS13] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS16] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS88] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.HedgingFinancialArrangements.Amount
            [CGTS19] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS22] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS25] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402003" diagnostics="DVR.ATO.CGTS.402003" subject="rvctc3.02.02:Capital.Losses.Applied.Amount" test="not
	                        (
                            sum(common:node-set(
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt;
                            sum(common:node-set(
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402004
            
            IF (SumCapLossApplied_OtherCG() > SumCYCG_OtherCG())
                RETURN VALIDATION MESSAGE
            ENDIF

            SumCapLossApplied_OtherCG() = [CGTS32] + [CGTS35] + [CGTS38]
            SumCYCG_OtherCG() = [CGTS8] + [CGTS87] + [CGTS11] + [CGTS14] + [CGTS17] + [CGTS89] + [CGTS20] + [CGTS84] + [CGTS23] + [CGTS26]
            
            [CGTS32] = CGTS:RP.MO.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS35] = CGTS:RP.MO.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS38] = CGTS:RP.MO.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS8]  = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS11] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS14] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS17] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS89] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.HedgingFinancialArrangements.Amount
            [CGTS20] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS23] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS26] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402004" diagnostics="DVR.ATO.CGTS.402004" subject="rvctc3.02.02:Capital.Losses.Applied.Amount" test="not
	                        (
                            sum(common:node-set(
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt;
                            sum(common:node-set(
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402005
            
            IF (SumCapLossApplied() > SumCYCL())
               RETURN VALIDATION MESSAGE
            ENDIF

            SumCapLossApplied() = [CGTS30] + [CGTS31] + [CGTS32]
            SumCYCL() = [CGTS27] + [CGTS81] + [CGTS28] + [CGTS90] + [CGTS29]
            
            [CGTS30] = CGTS:RP.MI.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS31] = CGTS:RP.MD.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS32] = CGTS:RP.MO.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS27] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.SharesAndUnitsInUnitTrusts.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
            [CGTS28] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.RealEstate.Amount
            [CGTS90] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.HedgingFinancialArrangements.Amount
            [CGTS29] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CGTAssetsOrEventsOther.Amount
        -->

<assert  id="VR.ATO.CGTS.402005" diagnostics="DVR.ATO.CGTS.402005" subject="rvctc3.02.02:Capital.Losses.Applied.Amount" test="not
	                        (
                            sum(common:node-set(
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                 rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.CU.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt;
                            sum(common:node-set(
                                rvctc3.02.02:Capital.Losses.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:Capital.Losses.RealEstate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:Capital.Losses.HedgingFinancialArrangements.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                rvctc3.02.02:Capital.Losses.CGTAssetsOrEventsOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402006
            
            IF (SumCYCGCapLossApplied_Indexation() <> (SumCYCG_Indexation() - SumCapLossApplied_Indexation())) 
               RETURN VALIDATION MESSAGE
            ENDIF

            SumCYCGCapLossApplied_Indexation() = [CGTS39] + [CGTS42]
            SumCYCG_Indexation() = [CGTS6] + [CGTS86] + [CGTS9] + [CGTS12] + [CGTS15] + [CGTS18] + [CGTS83] + [CGTS21] + [CGTS24]
            SumCapLossApplied_Indexation() = [CGTS30] + [CGTS33] + [CGTS36]
            
            [CGTS39] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            
            [CGTS6]  = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS9]  = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS12] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS15] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS18] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS21] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS24] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            
            [CGTS30] = CGTS:RP.MI.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS33] = CGTS:RP.MI.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS36] = CGTS:RP.MI.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402006" diagnostics="DVR.ATO.CGTS.402006" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
                                sum(common:node-set(
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                !=
                                (
                                    sum(common:node-set(
                                        rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    -
                                    sum(common:node-set(
                                         rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                         rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                         rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
                            )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402007
            
            IF (SumCYCGCapLossApplied_Discount() <> (SumCYCG_Discount() - SumCapLossApplied_Discount()))
               RETURN VALIDATION MESSAGE
            ENDIF

            SumCYCGCapLossApplied_Discount() = [CGTS40] + [CGTS43]
            SumCYCG_Discount() = [CGTS7] + [CGTS85] + [CGTS10] + [CGTS13] + [CGTS16] + [CGTS88] + [CGTS19] + [CGTS82] + [CGTS22] + [CGTS25]
            SumCapLossApplied_Discount() = [CGTS31] + [CGTS34] + [CGTS37]
            
            [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS7] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS10] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS13] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS16] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS88] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.HedgingFinancialArrangements.Amount
            [CGTS19] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS22] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS25] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS31] = CGTS:RP.MD.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS34] = CGTS:RP.MD.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS37] = CGTS:RP.MD.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402007" diagnostics="DVR.ATO.CGTS.402007" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
                                sum(common:node-set(
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                !=
                                (
                                    sum(common:node-set(
                                        rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    -
                                    sum(common:node-set(
                                        rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
                            )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402008
            
            IF (SumCYCGCapLossApplied_OtherCG() <> (SumCYCG_OtherCG() - SumCapLossApplied_OtherCG()))
               RETURN VALIDATION MESSAGE
            ENDIF 

            SumCYCGCapLossApplied_OtherCG() = [CGTS41] + [CGTS44]
            SumCYCG_OtherCG() = [CGTS8] + [CGTS87] + [CGTS11] + [CGTS14] + [CGTS17] + [CGTS89] + [CGTS20] + [CGTS84] + [CGTS23] + [CGTS26]
            SumCapLossApplied_OtherCG() = [CGTS32] + [CGTS35] + [CGTS38]
            
            [CGTS41] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS8]  = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS11] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS14] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS17] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS89] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.HedgingFinancialArrangements.Amount
            [CGTS20] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS23] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS26] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount
            [CGTS32] = CGTS:RP.MO.CU:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS35] = CGTS:RP.MO.PR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS38] = CGTS:RP.MO.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402008" diagnostics="DVR.ATO.CGTS.402008" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (   
                                sum(common:node-set(
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                !=
                                sum(common:node-set(
                                    rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                    rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                -
                                sum(common:node-set(
                                     rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.CU.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.PR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.TR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402013
            
            IF [CGTS42] > ([CGTS18] + [CGTS83] + [CGTS21] + [CGTS24]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS18] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS21] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS24] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount

        -->

<assert  id="VR.ATO.CGTS.402013" diagnostics="DVR.ATO.CGTS.402013" subject="rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount" test="not
	                        (
			                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )	

	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402014
            
            IF [CGTS43] > ([CGTS19] + [CGTS82] + [CGTS22] + [CGTS25]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS19] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS22] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS25] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount

        -->

<assert  id="VR.ATO.CGTS.402014" diagnostics="DVR.ATO.CGTS.402014" subject="rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount" test="not
	                        (
			                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )	

	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402015
            
            IF [CGTS44] > ([CGTS20] + [CGTS84] + [CGTS23] + [CGTS26]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS20] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS23] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS26] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AssetsOrEvents.Amount

        -->

<assert  id="VR.ATO.CGTS.402015" diagnostics="DVR.ATO.CGTS.402015" subject="rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount" test="not
                            (
		                        sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 
                                (	
                                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                        rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )	

                            )"></assert>
<!--

            Rule ID: VR.ATO.CGTS.402017
            
            IF [CGTS56] > ([CGTS39] + [CGTS42])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS56] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS39] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402017" diagnostics="DVR.ATO.CGTS.402017" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|	                            
	                                rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402018
            
            IF [CGTS59] <> ([CGTS39] + [CGTS42] - [CGTS56]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS39] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS56] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount

        -->

<assert  id="VR.ATO.CGTS.402018" diagnostics="DVR.ATO.CGTS.402018" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            !=   
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                -
	                                sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )	

	                        )"></assert>
<!--

            Rule ID: VR.ATO.CGTS.402023
            
            IF [CGTS57] > ([CGTS40] + [CGTS43])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS57] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402023" diagnostics="DVR.ATO.CGTS.402023" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|	                            
	                                rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402024
            
            IF [CGTS60] <> ([CGTS40] + [CGTS43] - [CGTS57]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS57] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount

        -->

<assert  id="VR.ATO.CGTS.402024" diagnostics="DVR.ATO.CGTS.402024" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            !=   
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                -
	                                sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )	

	                        )"></assert>
<!--

            Rule ID: VR.ATO.CGTS.402025
            IF [CGTS58] > ([CGTS41] + [CGTS44])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS58] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS41] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount

        -->

<assert  id="VR.ATO.CGTS.402025" diagnostics="DVR.ATO.CGTS.402025" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|	                            
	                                rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402026
            
            IF [CGTS61] <> ([CGTS41] + [CGTS44] - [CGTS58]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS41] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS58] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount

        -->

<assert  id="VR.ATO.CGTS.402026" diagnostics="DVR.ATO.CGTS.402026" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            !=   
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                -
	                                sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )	

	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402027
            
            IF [CGTS47] > (([CGTS42]*0.5) + 1)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS47] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount

        -->

<assert  id="VR.ATO.CGTS.402027" diagnostics="DVR.ATO.CGTS.402027" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            (	
	                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                * 0.5
	                            )	
	                            + 1
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402028
            
            IF ([CGTS47] + [CGTS50] + [CGTS53]) > [CGTS42]
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS47] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS50] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS53] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402028" diagnostics="DVR.ATO.CGTS.402028" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402032
            
            IF ([CGTS46] + [CGTS48] + [CGTS51] + [CGTS54]) > [CGTS43]
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS48] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS51] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS54] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount

        -->

<assert  id="VR.ATO.CGTS.402032" diagnostics="DVR.ATO.CGTS.402032" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef = $RP.AA.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402033
            
            IF [CGTS49] > (([CGTS44]*0.5) + 1) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS49] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount

        -->

<assert  id="VR.ATO.CGTS.402033" diagnostics="DVR.ATO.CGTS.402033" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
                    (
	                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        &gt; 
                        (	
                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            * 0.5
                        )	
                        + 1
                    )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402034
            
            IF ([CGTS49] + [CGTS52] + [CGTS55]) > [CGTS44]
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS49] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS52] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS55] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount

        -->

<assert  id="VR.ATO.CGTS.402034" diagnostics="DVR.ATO.CGTS.402034" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 
	                            sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402036
            
            IF [CGTS57] <> ([CGTS45] + [CGTS46] + [CGTS48] + [CGTS51] + [CGTS54])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS57] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS45] = CGTS:RP.ANA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS48] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS51] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS54] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount

        -->

<assert  id="VR.ATO.CGTS.402036" diagnostics="DVR.ATO.CGTS.402036" subject="rvctc3.02.02:CapitalGainsTax.Total.Amount" test="not
	                        (
			                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            !=   	
                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef = $RP.ANA.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef = $RP.AA.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402037
            
            IF [CGTS56] <> ([CGTS47] + [CGTS50] + [CGTS53])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS56] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS47] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS50] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS53] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount

        -->

<assert  id="VR.ATO.CGTS.402037" diagnostics="DVR.ATO.CGTS.402037" subject="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount" test="not
	                            (
			                        sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                !=   	
                                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MI.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402039
            
            IF [CGTS58] <> ([CGTS49] + [CGTS52] + [CGTS55])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS58] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS49] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS52] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS55] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount

        -->

<assert  id="VR.ATO.CGTS.402039" diagnostics="DVR.ATO.CGTS.402039" subject="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount" test="not
	                            (
			                        sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                                !=   	
                                    sum(common:node-set(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                                    gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.MO.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            )"></assert>
<!--
        Rule ID: VR.ATO.CGTS.402045
        
        IF ([CGTS64] > 0 AND [CGTS65] = NULLORBLANK)
	        RETURN VALIDATION MESSAGE
        ENDIF
        
        [CGTS64]  = CGTS:$RP.ContextId:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        [CGTS65]  = CGTS:$RP.ContextId:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code
    -->

<assert  id="VR.ATO.CGTS.402045" diagnostics="DVR.ATO.CGTS.402045" subject="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount" test="not
	                        (
			                    gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
	                        and
	                            count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                        )"></assert>
<!--
        Rule ID: VR.ATO.CGTS.402046
        
        IF ([CGTS64] <= 0 AND [CGTS65] <> NULLORBLANK)
	        RETURN VALIDATION MESSAGE
        ENDIF
        
        [CGTS64]  = CGTS:$RP.ContextId:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        [CGTS65]  = CGTS:$RP.ContextId:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code
    -->

<assert  id="VR.ATO.CGTS.402046" diagnostics="DVR.ATO.CGTS.402046" subject="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount" test="not
	                        (		
                                count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                = 0
	                            and
	                            count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code[
                                @contextRef = $RP.ContextId
                                and not(@i:nil='true' or @i:nil='1')
                                and string-length(normalize-space(.)) != 0]) &gt; 0
	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402048
            
            IF ([CGTS66] = TRUE AND ([CGTS67] = NULL OR [CGTS68] = NULL))
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS66]  = CGTS:$RP.ContextId:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator
            [CGTS67]  = CGTS:$RP.ContextId:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount
            [CGTS68]  = CGTS:$RP.ContextId:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount
         -->

<assert  id="VR.ATO.CGTS.402048" diagnostics="DVR.ATO.CGTS.402048" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator" test="not
	                        (
			                  
                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                                                           
	                   
	                        and
	                            (	
	                                count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            or
	                                count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            )	

	                        )"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402049
            
            IF ([CGTS66] = FALSE OR [CGTS66] = NULL) AND ([CGTS67] <> NULL OR [CGTS68] <> NULL OR [CGTS69] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS66]  = CGTS:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator
            [CGTS67]  = CGTS:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount
            [CGTS68]  = CGTS:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount
            [CGTS69]  = CGTS:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerCashAndOtherConsiderations.Amount
        -->

<assert  id="VR.ATO.CGTS.402049" diagnostics="DVR.ATO.CGTS.402049" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator" test="not
	                        (
			                    (
                                    rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')] 
                                    or 
                                    count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                )
	                            and
	                            (	
	                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                                or
	                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                                or
	                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerCashAndOtherConsiderations.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                             )	

	                        )"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGTS.402052
            
            IF [CGTS70] = FALSE AND ([CGTS71] <> NULL OR [CGTS72] <> NULLORBLANK OR [CGTS73] <> NULL OR [CGTS74] <> NULL OR [CGTS75] <> NULL OR [CGTS76] <> NULL OR [CGTS77] <> NULL OR [CGTS78] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS71] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS72] = CGTS:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS73] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS74] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS75] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS76] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS77] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)

        -->

<assert  id="VR.ATO.CGTS.402052" diagnostics="DVR.ATO.CGTS.402052" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator" test="not
	                    (
			                (
                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'false'
                                or
                                rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '0'
                             )
	                        and
	                        (	
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                        )	

	                    )
	            "></assert>
<!--

            Rule ID: VR.ATO.CGTS.402053

            IF [CGTS70] = TRUE AND 
            (([CGTS71] = 0 OR [CGTS71] = NULL) OR [CGTS72] = NULLORBLANK OR ([CGTS76] = 0 OR [CGTS76] = NULL) OR ([CGTS73] = 0 OR [CGTS73] = NULL)) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator
            IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS71] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count
            IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS72] = CGTS:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN
            TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS76] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount
            IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
            [CGTS73] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count
            IN TUPLE(cgts.0001.lodge.request.02.00.xx.xx:AcquiringEntity)
        -->

<assert  id="VR.ATO.CGTS.402053" diagnostics="DVR.ATO.CGTS.402053" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator" test="not
                    (               
			            (
                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and (.='true' or .='1')] 
                        )
	                    and
	                    (
	                        (
	                            count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
	                        )
	                        or
	                        count(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                        or
	                        (
	                            count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
	                        )
	                        or
	                        (
	                            count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
	                        )
	                    )	

	                )
	        "></assert>
<!--
            Rule ID: VR.ATO.CGTS.402054
            
            IF [CGTS77] = FALSE AND [CGTS78] <> NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS77] = CGTS:RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
        -->

<assert  id="VR.ATO.CGTS.402054" diagnostics="DVR.ATO.CGTS.402054" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator" test="not
	                (
			            (
                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and (.='false' or .='0')]
                        )
                        and
	                    rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )"></assert>
<!--

            Rule ID: VR.ATO.CGTS.402055
            
            IF [CGTS77] = TRUE AND ([CGTS78] = 0 OR [CGTS78] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS77] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
        -->

<assert  id="VR.ATO.CGTS.402055" diagnostics="DVR.ATO.CGTS.402055" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator" test="not
	                (
			            (
                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and (.='true' or .='1')]
                         )
                        and
                         (
                            count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
                        )
	                )
	"></assert>
<!--
            Rule ID: VR.ATO.CGTS.402065
            
            IF ([CGTS70] = NULL) AND (([CGTS71] <> NULL) OR ([CGTS72] <> NULLORBLANK) OR ([CGTS73] <> NULL) OR ([CGTS74] <> NULL) OR ([CGTS75] <> NULL) OR ([CGTS76] <> NULL) OR ([CGTS77] <> NULL) OR ([CGTS78] <> NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS71] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS72] = CGTS:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS73] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS74] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS75] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS76] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS77] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount IN TUPLE(cgts.0001.lodge.request.02.00.lodge.req.xx.xx:AcquiringEntity)
        -->

<assert  id="VR.ATO.CGTS.402065" diagnostics="DVR.ATO.CGTS.402065" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator" test="not
	                    (			                
                             count(rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                             and
	                        (	
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                        )	

	                    )
	            "></assert>
</rule>
</pattern>