﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatories Validations</title>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
      Rule ID: VR.ATO.CTR.428011
      
      IF ([CTR2] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR2] = CTR:$RP.ContextId:pyin.xx.xx:Report.TargetFinancial.Year
    -->

        <assert  id="VR.ATO.CTR.428011" diagnostics="DVR.ATO.CTR.428011" subject="pyin.02.00:Report.TargetFinancial.Year" test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
      <!--
      Rule ID: VR.ATO.CTR.428106

      IF ([CTR6] = NULLORBLANK)
      RETURN VALIDATION MESSAGE
      ENDIF

      [CTR6] = CTR:$RP.ContextId:pyin.xx.xx:Report.Statement.Summary.PaymentRefundOrNil.Code
      -->

      <assert  id="VR.ATO.CTR.428106" diagnostics="DVR.ATO.CTR.428106" subject="pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code" test="pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>


        <!--
      Rule ID: VR.ATO.CTR.428197
      
      IF ([CTR42] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR42] = CTR:$RP.ContextId:pyin.xx.xx:Lodgment.FinalReturn.Indicator
    -->

        <assert  id="VR.ATO.CTR.428197" diagnostics="DVR.ATO.CTR.428197" subject="pyin.02.00:Lodgment.FinalReturn.Indicator" test="pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428198
      
      IF ([CTR48] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR48] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.AustralianMainIncomeActivity.Description
    -->

        <assert  id="VR.ATO.CTR.428198" diagnostics="DVR.ATO.CTR.428198" subject="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description" test="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428199
      
      IF ([CTR49] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR49] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
    -->

        <assert  id="VR.ATO.CTR.428199" diagnostics="DVR.ATO.CTR.428199" subject="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code" test="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428200
      
      IF ([CTR52] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR52] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
    -->

        <assert  id="VR.ATO.CTR.428200" diagnostics="DVR.ATO.CTR.428200" subject="pyde.02.03:OrganisationDetails.OrganisationType.Code" test="pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428201
      
      IF ([CTR89] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR89] = CTR:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
    -->

        <assert  id="VR.ATO.CTR.428201" diagnostics="DVR.ATO.CTR.428201" subject="rvctc3.02.00:CapitalGainsTax.Event.Indicator" test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428202
      
      IF ([CTR120] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR120] = CTR:$RP.ContextId:bafpr1.xx.xx:Income.Taxable.Amount
    -->

        <assert  id="VR.ATO.CTR.428202" diagnostics="DVR.ATO.CTR.428202" subject="bafpr1.02.02:Income.Taxable.Amount" test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428203
      
      IF ([CTR177] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR177] = CTR:$RP.ContextId:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
    -->

        <assert  id="VR.ATO.CTR.428203" diagnostics="DVR.ATO.CTR.428203" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator" test="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428204

      IF ([CTR193] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF

      [CTR193] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactions.Indicator
      -->

        <assert  id="VR.ATO.CTR.428204" diagnostics="DVR.ATO.CTR.428204" subject="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator" test="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428205
      
      IF ([CTR194] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR194] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
      -->

        <assert  id="VR.ATO.CTR.428205" diagnostics="DVR.ATO.CTR.428205" subject="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator" test="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428206
      
      IF ([CTR195] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR195] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
    -->

        <assert  id="VR.ATO.CTR.428206" diagnostics="DVR.ATO.CTR.428206" subject="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator" test="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428207
      
      IF ([CTR196] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR196] = CTR:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
    -->

        <assert  id="VR.ATO.CTR.428207" diagnostics="DVR.ATO.CTR.428207" subject="bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator" test="bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428208
      
      IF ([CTR197] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR197] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator
    -->

        <assert  id="VR.ATO.CTR.428208" diagnostics="DVR.ATO.CTR.428208" subject="rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator" test="rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428209
      
      IF ([CTR198] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR198] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
    -->

        <assert  id="VR.ATO.CTR.428209" diagnostics="DVR.ATO.CTR.428209" subject="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator" test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428210
      
      IF ([CTR199] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR199] = CTR:$RP.ContextId:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
    -->

        <assert  id="VR.ATO.CTR.428210" diagnostics="DVR.ATO.CTR.428210" subject="rvctc1.02.01:IncomeTax.TaxableGross.Amount" test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428211
      
      IF ([CTR203] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR203] = CTR:$RP.ContextId:rvctc1.xx.xx:IncomeTax.Payable.Amount
    -->

        <assert  id="VR.ATO.CTR.428211" diagnostics="DVR.ATO.CTR.428211" subject="rvctc1.02.01:IncomeTax.Payable.Amount" test="rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428212
      
      IF ([CTR212] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR212] = CTR:$RP.ContextId:rvctc1.xx.xx:IncomeTax.Total.Amount
    -->

        <assert  id="VR.ATO.CTR.428212" diagnostics="DVR.ATO.CTR.428212" subject="rvctc1.02.01:IncomeTax.Total.Amount" test="rvctc1.02.01:IncomeTax.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
      Rule ID: VR.ATO.CTR.428227

      IF ([CTR223] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF

      [CTR223] = CTR:RP:pyde.xx.xx:ElectronicContact.Telephone.Area.Code
    -->

        <assert  id="VR.ATO.CTR.428227" diagnostics="DVR.ATO.CTR.428227" subject="pyde.02.00:ElectronicContact.Telephone.Area.Code" test="//pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!-- 
      Rule ID: VR.ATO.CTR.428228

      IF ([CTR224] = NULLORBLANK)
	      RETURN VALIDATION MESSAGE
      ENDIF

      [CTR224] = CTR:$RP.ContextId:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->

        <assert  id="VR.ATO.CTR.428228" diagnostics="DVR.ATO.CTR.428228" subject="pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="//pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>

        <!--
        Rule ID: VR.ATO.CTR.428328
        
        IF [CTR313] <> NULL
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [CTR313] = CTR:RP:PersonUnstructuredName.FullName.Text 
            IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName) 
            IN TUPLE(declaration2.xx.xx:Declaration)
        -->
        <assert  id="VR.ATO.CTR.428328"
                 diagnostics="DVR.ATO.CTR.428328"
                 subject="pyde.02.00:PersonUnstructuredName.FullName.Text"
                 test="not
                       (
                           count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/
                           prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/
                           pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                       )">
        </assert>

        <!--
        Rule ID: VR.ATO.CTR.428329
        
        IF [CTR314] <> NULLORBLANK
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [CTR314] = CTR:RP:PersonUnstructuredName.Usage.Code 
            IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName) 
            IN TUPLE(declaration2.xx.xx:Declaration)
        -->
        <assert  id="VR.ATO.CTR.428329" 
                 diagnostics="DVR.ATO.CTR.428329" 
                 subject="pyde.02.05:PersonUnstructuredName.Usage.Code" 
                 test="                 
                     declaration2.02.01:Declaration
                     /prsnunstrcnm1.02.01:PersonUnstructuredName
                     /pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) = 0] 
                 or
                 not
                 (
                     declaration2.02.01:Declaration
                     /prsnunstrcnm1.02.01:PersonUnstructuredName
                     /pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $RP.ContextId] 
                 )
                 or
                 not
                 (
                     declaration2.02.01:Declaration/prsnunstrcnm1.02.01:PersonUnstructuredName
                 )
                 ">            
        </assert>
        

    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0002.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428270
            
            WHERE TUPLE(ctr.0002.lodge.req.xx.xx:ImmediateHoldingCompany) EXISTS
            IF SUBTUPLE (orgname2.xx.xx:OrganisationNameDetails = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428270" diagnostics="DVR.ATO.CTR.428270" subject="orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="
                          not
                             (
                                orgname2.02.00:OrganisationNameDetails[(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) = 0]
                                or
                                count(orgname2.02.00:OrganisationNameDetails)=0
                             )
                          "></assert>


    </rule>

</pattern> 
