﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="ContentCommon" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Generic Content Validations</title>

<!-- Generic content validations -->

<rule
		abstract="true"
		id="VR-ATO-GEN-000423">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-000427">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-","'’","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-000434">

<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-000439">

<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","'’","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000439" diagnostics="DVR.ATO.GEN.000439" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-000446">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-000451">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","'’","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410040">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040" test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410063">

<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text <> SET("A-Z","a-z"))
           RETURN VALIDATION MESSSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063" test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410131">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> SET("A-Z","a-z"))
           RETURN VALIDATION MESSSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131" test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410200">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                            regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')
                            or
                            regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$') 
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410201">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" test="not(
                            regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')
                            or
                            regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$') 
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-428231">

<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231" test="not(
                            regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')
                            or
                            regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$') 
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410202">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" test="not(
                            regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')
                            or
                            regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')  
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410203">

<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="not(
                            regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')
                            or
                            regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')               
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410204">

<!--
    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
       RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(
                            regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')
                            or
                            regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$') 
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410207">

<!--
      IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
        RETURN VALIDATION MESSAGE
      ENDIF
      -->

<assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(
                            regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')
                            or
                            regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$') 
                       )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410208">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="not(
                            regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')
                            or
                            regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')               
                        )"></assert>
</rule>

<rule
		abstract="true"
		id="VR-ATO-GEN-410209">

<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="not(
                            regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')
                            or
                            regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$') 
                        )"></assert>
</rule>
</pattern>