﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Length and Monetary Format Validations for PSI</title>

<!-- xsd-datatype-monetary -->

<rule
		context="bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418022	

	        IF ([PSI11] <> NULL AND [PSI11] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            [PSI11] = PSI:RP:bafpr3.xx.xx:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount
        -->

<assert  id="VR.ATO.PSI.418022" diagnostics="DVR.ATO.PSI.418022" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418023	

	        IF ([PSI12] <> NULL AND [PSI12] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI12] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount
        -->

<assert  id="VR.ATO.PSI.418023" diagnostics="DVR.ATO.PSI.418023" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418024	

	        IF ([PSI13] <> NULL AND [PSI13] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI13] = PSI:RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount
        -->

<assert  id="VR.ATO.PSI.418024" diagnostics="DVR.ATO.PSI.418024" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418025	

	        IF ([PSI14] <> NULL AND [PSI14] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI14] = PSI:RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount
        -->

<assert  id="VR.ATO.PSI.418025" diagnostics="DVR.ATO.PSI.418025" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418026	

	        IF ([PSI15] <> NULL AND [PSI15] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI15] = PSI:RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount
        -->

<assert  id="VR.ATO.PSI.418026" diagnostics="DVR.ATO.PSI.418026" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.PSI.418027	

	        IF ([PSI18] <> NULL AND [PSI18] <>MONETARY(U,11,0)                     
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI18] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount IN TUPLE(psi.001.lodge.req.xx.xx: PersonalServicesIncomeDistributionDetails)
        -->

<assert  id="VR.ATO.PSI.418027" diagnostics="DVR.ATO.PSI.418027" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>
</pattern>