﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Data type rule validations for RDS</title>

<!--    Release: 1.0.1.4   
 Date -->

<rule
		context="xbrli:startDate">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		context="xbrli:endDate">
<extends
			rule="xsd-datatype-date" />
</rule>
<!-- Enumeration -->

<rule
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier">
<extends
			rule="xsd-datatype-sbrAustralianCompanyNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier">
<extends
			rule="xsd-datatype-sbrAustralianRegisteredBodyNumberItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.FamilyName.Text">
<extends
			rule="xsd-datatype-sbrFamilyNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.GivenName.Text">
<extends
			rule="xsd-datatype-sbrGivenNameItemType" />
</rule>

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.OtherGivenName.Text">
<extends
			rule="xsd-datatype-sbrOtherGivenNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonUnstructuredName.FullName.Text">
<extends
			rule="xsd-datatype-sbrPersonFullNameItemType" />
</rule>

<rule
		context="pyde.02.00:AddressDetails.Postcode.Text">
<extends
			rule="xsd-datatype-sbrPostcodeItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier">
<extends
			rule="xsd-datatype-sbrTaxAgentNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.TaxFileNumber.Identifier">
<extends
			rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
<!-- For future use 
<iso:rule context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code">
    <iso:extends rule="xsd-datatype-sbrOrganisationNameTypeItemType"/>
  </iso:rule>
 monetary -->

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchAndDevelopment.TaxOffsetEligible.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagg.02.01:ResearchAndDevelopment.EntitlementToGovernmentGrantsAndRecoupmentsRelatingToActivitiesAndProjectsClaimed.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagg.02.01:ResearchandDevelopment.GrantsAndRecoupmentsAttributableToForeignOwnedExpenditure.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!-- Boolean -->

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="pyin.02.00:Report.Amendment.Indicator">
<extends
			rule="xsd-datatype-boolean" />
</rule>
</pattern>