﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>RDS Mandatories Validations</title>


<rule
		context="xbrli:xbrl">

<!--
Rule ID: VR.ATO.RDS.422000

IF ( [RDS1]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS1]  = RDS:$RP.ContextId:pyin.xx.xx:Report.Amendment.Indicator
-->

<assert  id="VR.ATO.RDS.422000" diagnostics="DVR.ATO.RDS.422000" subject="pyin.02.00:Report.Amendment.Indicator" test="pyin.02.00:Report.Amendment.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">Value entered in “Amendment Indicator field” is invalid.</assert>
<!--
Rule ID: VR.ATO.RDS.422092

IF ( [RDS101]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS101]  = RDS:$RP.ContextId:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator
-->

<assert  id="VR.ATO.RDS.422092" diagnostics="DVR.ATO.RDS.422092" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator" test="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Do you wish to claim the R and D Tax Offset” field can not be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422093

IF ( [RDS3]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS3]  = RDS:$RP.ContextId:bafpr3.xx.xx:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
-->

<assert  id="VR.ATO.RDS.422093" diagnostics="DVR.ATO.RDS.422093" subject="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount" test="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Preliminary calculation” field can not be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422094

IF ( [RDS79]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS79]  = RDS:$RP.Y0-1.ContextId:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator
-->

<assert  id="VR.ATO.RDS.422094" diagnostics="DVR.ATO.RDS.422094" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator" test="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Eligible or Deemed to be eligible to claim an incremental tax concession in CY-1” field can not be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422095

IF ( [RDS80]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS80]  = RDS:$RP.Y0-2.ContextId:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator
-->

<assert  id="VR.ATO.RDS.422095" diagnostics="DVR.ATO.RDS.422095" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator" test="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Eligible or Deemed to be eligible to claim an incremental tax concession in CY-2” field can not be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422096

IF ( [RDS82]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS82]  = RDS:$RP.ContextId:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator
-->

<assert  id="VR.ATO.RDS.422096" diagnostics="DVR.ATO.RDS.422096" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator" test="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Do you wish to claim the Foreign owned R and D incremental tax concession?” field can't be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422098

IF ( [RDS113]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS113]  = RDS:$RP.ContextId:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
-->

<assert  id="VR.ATO.RDS.422098" diagnostics="DVR.ATO.RDS.422098" subject="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount" test="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">R and D Tax Offset (eligible Australian owned expenditure only) amount cannot be left blank. </assert>
<!--
Rule ID: VR.ATO.RDS.422233

IF ( [RDS60]   =   NULLORBLANK )
	RETURN VALIDATION MESSAGE
ENDIF

[RDS60]  = RDS:$RP.ContextId:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator
-->

<assert  id="VR.ATO.RDS.422233" diagnostics="DVR.ATO.RDS.422233" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator" test="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">“Do you wish to claim the Australian owned R and D incremental tax concession?” field can’t be left blank. </assert>
</rule>
</pattern>