﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	schemaVersion="ISO19757-3"
	queryBinding="xslt" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation for SBR RDS Lodge Web Service</title>

    <!-- XML/SOAP namespaces -->
    <ns
            prefix="s"
            uri="http://www.w3.org/2003/05/soap-envelope" />
    <ns
            prefix="wsa"
            uri="http://www.w3.org/2005/08/addressing" />
    <ns
            prefix="xs"
            uri="http://www.w3.org/2001/XMLSchema" />
    <ns
            prefix="i"
            uri="http://www.w3.org/2001/XMLSchema-instance" />
    <!-- Extension namespaces -->
    <ns
            prefix="regexp"
            uri="http://exslt.org/regular-expressions" />
    <ns
            prefix="function"
            uri="http://www.ato.gov.au/IS/2009/02" />
    <ns
            prefix="msxsl"
            uri="urn:schemas-microsoft-com:xslt" />
    <ns
            prefix="regexp"
            uri="http://exslt.org/regular-expressions" />
    <ns
            prefix="common"
            uri="http://exslt.org/common" />
    <!-- XBRL/XLink namespaces -->
    <ns
            prefix="xbrli"
            uri="http://www.xbrl.org/2003/instance" />
    <ns
            prefix="xbrldi"
            uri="http://xbrl.org/2006/xbrldi" />
    <ns
            prefix="link"
            uri="http://www.xbrl.org/2003/linkbase" />
    <ns
            prefix="xlink"
            uri="http://www.w3.org/1999/xlink" />
    <!-- Core SBR namespaces -->
    <ns
            prefix="sbdh"
            uri="http://sbr.gov.au/comn/sbdm.02.data" />
    <ns
            prefix="core"
            uri="http://sbr.gov.au/comn/core.02.data" />
    <ns
            prefix="tech"
            uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
    <ns
            prefix="service"
            uri="http://sbr.gov.au/comn/lodge.02.service" />
    <!-- Taxonomy namespaces -->
    <ns
            prefix="orgname1.02.00"
            uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns
            prefix="pyin.02.00"
            uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns
            prefix="pyid.02.00"
            uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns
            prefix="gfagc.02.00"
            uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data" />
    <ns
            prefix="gfagc.02.01"
            uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" />
    <ns
            prefix="gfagg.02.01"
            uri="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.01.data" />
    <ns
            prefix="bafpr3.02.02"
            uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" />
    <ns
            prefix="lrla.02.05"
            uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data" />
    <ns
            prefix="pyde.02.00"
            uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns
            prefix="pyde.02.03"
            uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
    <!-- RaD specific namespaces -->
    <ns
            prefix="RaD.0002.prv"
            uri="http://sbr.gov.au/rprt/ato/rad/rad.0002.private.02.00.module" />
    <ns
            prefix="RaD.0002"
            uri="http://sbr.gov.au/rprt/ato/rad/rad.0002.lodge.request.02.00.report" />
    <ns
            prefix="bafpo6.02.05"
            uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
    <ns
            prefix="bafpo7.02.04"
            uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" />
    <ns
            prefix="rvctc4.02.03"
            uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />


    <!--<iso:phase id="Full">
    <iso:active pattern="Variables"/>
    <iso:active pattern="Abstracts"/>
    <iso:active pattern="DataTypes"/>
    <iso:active pattern="Context"/>
    <iso:active pattern="Mandatories"/>
    <iso:active pattern="Content"/>
  </iso:phase>-->

    <phase
            id="Prerequisites">
        <active
                    pattern="Abstract" />
        <active
                    pattern="Variables" />
        <active
                    pattern="Length" />
        <active
                    pattern="Context" />
        <active
                    pattern="DataTypes" />
    </phase>

    <phase
            id="Mandatories">
        <active
                    pattern="Variables" />
        <active
                    pattern="Mandatories" />
    </phase>

    <phase
            id="Content">
        <active
                    pattern="Variables" />
        <active
                    pattern="Content" />
    </phase>

    <include
            href="../../Common/Abstracts.sch" />
    <include
            href="../Common/Variables.sch" />
    <include
            href="../Common/Context.sch" />
    <include
            href="../Common/FieldPatterns.sch" />
    <include
            href="../Common/Content.sch" />
    <include
            href="../Common/Mandatories.sch" />
    <include
            href="../Common/DataTypes.sch" />
    <include
            href="../../Diagnostics.sch" />
</schema>