﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
                Rule ID: VR.ATO.S25A.424004
                
                IF (([S25A10] > 0 OR [S25A11] > 0 OR [S25A12] > 0 OR [S25A13] > 0 OR [S25A14] > 0 OR [S25A15] > 0 OR [S25A16] > 0 OR [S25A17] > 0 OR [S25A18] > 0 OR [S25A19] > 0 OR [S25A20] > 0 OR [S25A21] > 0 OR [S25A22] > 0 OR [S25A23] > 0 OR [S25A24] > 0 OR [S25A25] > 0 OR [S25A26] > 0 OR [S25A27] > 0 OR [S25A28] > 0 OR [S25A29] > 0 OR [S25A30] > 0 OR [S25A31] > 0 OR [S25A32] > 0 OR [S25A33] > 0)  
                AND (ALL OCCURRENCES OF [S25A6] = NULL OR ALL OCCURRENCES OF [S25A6] = 0))
                RETURN VALIDATION MESSAGE
                ENDIF
                [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
                [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
                [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
                [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
                [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
                [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
                [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
                [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
                [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
                [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
                [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
                [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
                [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
                [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
                [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
                [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
                
                [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
                [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
                [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
                [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
                
                [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
                [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
                
             [S25A6] = S25A:RP:bafot.xx.xx:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount
             IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
         -->

        <assert  id="VR.ATO.S25A.424004" diagnostics="DVR.ATO.S25A.424004" subject="s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount" test="
                        not((bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]|
                        bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                        and
                        (count(s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]) = 0))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424005

            IF ((ANY OCCURRENCE OF [S25A6] > 0) 
            AND (
            ([S25A10] = NULL OR [S25A10] = 0) AND ([S25A11] = NULL OR [S25A11] = 0) AND ([S25A12] = NULL OR [S25A12] = 0) AND ([S25A13] = NULL OR [S25A13] = 0) AND ([S25A14] = NULL OR [S25A14] = 0) AND ([S25A15] = NULL OR [S25A15] = 0) AND ([S25A16] = NULL OR [S25A16] = 0) AND ([S25A17] = NULL OR [S25A17] = 0) AND ([S25A18] = NULL OR [S25A18] = 0) AND ([S25A19] = NULL OR [S25A19] = 0) AND ([S25A20] = NULL OR [S25A20] = 0) AND ([S25A21] = NULL OR [S25A21] = 0) AND ([S25A22] = NULL OR [S25A22] = 0) AND ([S25A23] = NULL OR [S25A23] = 0) AND ([S25A24] = NULL OR [S25A24] = 0) AND ([S25A25] = NULL OR [S25A25] = 0) AND ([S25A26] = NULL OR [S25A26] = 0) AND ([S25A27] = NULL OR [S25A27] = 0) AND ([S25A28] = NULL OR [S25A28] = 0) AND ([S25A29] = NULL OR [S25A29] = 0) AND ([S25A30] = NULL OR [S25A30] = 0) AND ([S25A31] = NULL OR [S25A31] = 0) AND ([S25A32] = NULL OR [S25A32] = 0) AND ([S25A33] = NULL OR [S25A33] = 0)) )
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A6] = S25A:RP:bafot.xx.xx:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
            [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
            [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
            [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
            [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
        -->

        <assert  id="VR.ATO.S25A.424005" diagnostics="DVR.ATO.S25A.424005" subject="s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount" test="not(sum(common:node-set(s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) &gt; 0
                          and((count(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                          and(count(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))
                          and(count(bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or number(bafpr1.02.00:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0))))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424010

            IF ([S25A10] > 0 OR [S25A11] > 0 OR [S25A12] > 0 OR [S25A13] > 0)

            AND ([S25A44] = NULLORBLANK OR [S25A45] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
        -->

        <assert  id="VR.ATO.S25A.424010" diagnostics="DVR.ATO.S25A.424010" subject="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code" test="not((number(bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0
                          or number(bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0
                          or number(bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0
                          or number(bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) &gt; 0)
                          and((count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)
                          or (count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424012

            IF ([S25A14] > 0 OR [S25A15] > 0 OR [S25A16] > 0 
            OR [S25A17] > 0 OR [S25A18] > 0 OR [S25A19] > 0) 
            AND ([S25A44] = NULLORBLANK OR [S25A45] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
            [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
            [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
            
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
        -->

        <assert  id="VR.ATO.S25A.424012" diagnostics="DVR.ATO.S25A.424012" subject="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code" test="not((number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                     or number(bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                     or number(bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                         or number(bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                         or number(bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                         or number(bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)	
                         and((count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)
                         or (count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424013

            IF ([S25A20] > 0 OR [S25A21] > 0 OR [S25A22] > 0 OR [S25A23] > 0 
            OR [S25A24] > 0 OR [S25A25] > 0 OR [S25A26] > 0 OR [S25A27] > 0) 
            AND ([S25A44] = NULLORBLANK OR [S25A45] = NULLORBLANK)
            
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
            
            [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
            
            [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
            
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
        -->

        <assert  id="VR.ATO.S25A.424013" diagnostics="DVR.ATO.S25A.424013" subject="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code" test="not
                         (
                             (number(bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or number(bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                              and
                              (
                                count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                                or
                                count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                              )
                          )"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424014
            
            IF ([S25A28] > 0 OR [S25A29] > 0 OR [S25A30] > 0 
            OR [S25A31] > 0 OR [S25A32] > 0 OR [S25A33] > 0) AND 
            ([S25A44] = NULLORBLANK OR [S25A45] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
            [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
            [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code		
        -->

        <assert  id="VR.ATO.S25A.424014" diagnostics="DVR.ATO.S25A.424014" subject="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code" test="not((number(bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or number(bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or number(bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or number(bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or number(bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or number(bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                          and(count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                          or count(bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424021
            
            IF ([S25A48] = TRUE 
            AND 
            (
            [S25A50] = NULL AND ALL OCCURRENCES OF [S25A49] = NULLORBLANK
            ))
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A48] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNature.Indicator
            [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethod)
        -->

        <assert  id="VR.ATO.S25A.424021" diagnostics="DVR.ATO.S25A.424021" subject="bafot.02.02:Miscellaneous.CapitalNature.Indicator" test="not
                          (
                              bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                              and
                              (
                                  count(bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                                  and
                                  count(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                              )
                          )"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424022
            
            IF [S25A48] <> TRUE AND 
            (([S25A50] <> NULLORBLANK) OR (ANY OCCURRENCE OF [S25A49] <> NULLORBLANK))
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A48] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNature.Indicator
            [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethod)
        -->

        <assert  id="VR.ATO.S25A.424022" diagnostics="DVR.ATO.S25A.424022" subject="bafot.02.02:Miscellaneous.CapitalNature.Indicator" test="not(count(bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])=0
                          and(
                          count(bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          or count(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424031

            IF ([S25A59] <> NULL OR 
                [S25A60] <> NULL OR 
                [S25A61] <> NULL) 
            AND ([S25A62] <> ([S25A59] + [S25A60] + [S25A61]))
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        -->

        <assert  id="VR.ATO.S25A.424031" diagnostics="DVR.ATO.S25A.424031" subject="bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount" test="not((bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                      or bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                      or bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])	
                          and bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                      != sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                          + sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))    
                          + sum(common:node-set(bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424032
            
            IF ([S25A80] = TRUE OR [S25A81] = TRUE OR [S25A82] = TRUE) AND ([S25A83] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
        -->

        <assert  id="VR.ATO.S25A.424032" diagnostics="DVR.ATO.S25A.424032" subject="bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator" test="not((bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                          or bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                          or bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])	
	                      and count(bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424033

            IF ([S25A83] = TRUE) 
            AND 
            (
                ([S25A80] = NULL OR [S25A80] = FALSE) AND 
                ([S25A81] = NULL OR [S25A81] = FALSE) AND
                ([S25A82] = NULL OR [S25A82] = FALSE)
            )
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
        -->

        <assert  id="VR.ATO.S25A.424033" diagnostics="DVR.ATO.S25A.424033" subject="bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator" test="not(count(bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]) &gt; 0
                          and(
                          (count(bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0
                            or count(bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0)
                          and                    
                          (count(bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0
                            or count(bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                          and
                          (count(bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]) &gt; 0
                            or count(bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424039
            
            IF ([S25A91] <> NULLORBLANK AND [S25A91] <> "MN")
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A91] = S25A:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code 
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
        -->

        <assert  id="VR.ATO.S25A.424039" diagnostics="DVR.ATO.S25A.424039" subject="orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="not(count(orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]!='MN')"></assert>
        
        <!--
            Rule ID: VR.ATO.S25A.424113
            
            IF pyin.xx.xx:Report.Item Order.Number IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods) <> SET(1-4)
                REPORT VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424113" diagnostics="DVR.ATO.S25A.424113" subject="s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number" test="not(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(1|2|3|4)$'))])"></assert>
        
    </rule>



    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.S25A.424001
            
            IF ([S25A5] <> NULLORBLANK) 
            AND 
               ([S25A7] = NULLORBLANK AND [S25A8] = NULLORBLANK AND [S25A9] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [S25A5] = S25A:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            [S25A7] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""1"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A8] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""2"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A9] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""3"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
        -->

        <assert  id="VR.ATO.S25A.424001" diagnostics="DVR.ATO.S25A.424001" subject="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code" test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and(count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                          [(../pyin.02.00:Report.ItemOrder.Number='1' or ../pyin.02.00:Report.ItemOrder.Number='2' 
                          or ../pyin.02.00:Report.ItemOrder.Number='3') 
                          and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and string-length(normalize-space(.)) != 0])=0))"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424002
            
            IF ([S25A7] <> NULLORBLANK OR 
                [S25A8] <> NULLORBLANK OR 
                [S25A9] <> NULLORBLANK) 
            AND ([S25A5] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A7] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""1"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A8] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""2"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A9] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""3"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A5] = S25A:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
        -->

        <assert  id="VR.ATO.S25A.424002" diagnostics="DVR.ATO.S25A.424002" subject="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code" test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                          and count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1' or ../pyin.02.00:Report.ItemOrder.Number='2' or ../pyin.02.00:Report.ItemOrder.Number='3')
                          and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424003

            IF ([S25A5] = NULLORBLANK OR [S25A7] = NULLORBLANK OR [S25A6] = NULL OR [S25A52] = NULL OR [S25A52] = 0) 
            AND 
            ([S25A5] <> NULLORBLANK OR [S25A7] <> NULLORBLANK OR [S25A6] > 0 OR [S25A52] >= 0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A5] = S25A:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            
            [S25A7] = S25A:RP:pyde.xx.xx:OrganisationDetails.InternationalRelatedPartyCountry.Code
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = ""1"") IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            
            [S25A6] = S25A:RP:bafot.xx.xx:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount
            IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            
            [S25A52] = S25A:RP:bafot.xx.xx:Miscellaneous.NumberofRelatedParties.Count
        -->

        <assert  id="VR.ATO.S25A.424003" diagnostics="DVR.ATO.S25A.424003"
                 subject="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code"
                 test="not
               (
                (count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                 or count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                 or count(bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                 or count(../bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]) = 0)
                and
                (count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                 or count(s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[(../pyin.02.00:Report.ItemOrder.Number='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                 or number(bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                 or number(../bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;= 0)
               )
         "></assert>

        <!--
            Rule ID: VR.ATO.S25A.424111

            WHERE IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            IF pyin.xx.xx:Report.Item Order.Number <> SET(1-3)
               REPORT VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424111" diagnostics="DVR.ATO.S25A.424111" subject="s25a.0002.lodge.req.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number" test="not(count(s25a.0002.lodge.request.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and not(regexp:test(.,'^(1|2|3)$'))]) &gt; 0)"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:ForeignLocations[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.S25A.424006
            
            WHERE IN TUPLE s25a.0002.lodge.req.xx.xx:ForeignLocations
            IF pyde.xx.xx:OrganisationDetails.InternationalRelatedPartyCountry.Code <> NULLORBLANK AND
               pyde.xx.xx:OrganisationDetails.InternationalRelatedPartyCountry.Code = ANY OTHER INSTANCE OF pyde.xx.xx:OrganisationDetails.InternationalRelatedPartyCountry.Code
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424006" diagnostics="DVR.ATO.S25A.424006" subject="pyde.02.00:AddressDetails.Country.Code" test="not(pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                          [not(@i:nil='true' or @i:nil='1')
                           and string-length(normalize-space(.)) != 0
                           and .=../preceding-sibling::s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424112
            
            IF pyin.xx.xx:Report.Item Order.Number IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            = ANY OTHER OCCURRENCE OF (pyin.xx.xx:Report.Item Order.Number IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity))
               RETURN VALIDATION MESSAGE
            ENDIF      
        -->
        <assert  id="VR.ATO.S25A.424112" diagnostics="DVR.ATO.S25A.424112" subject="pyin.02.00:Report.ItemOrder.Number" test="not(pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and .=../preceding-sibling::s25a.0002.lodge.request.02.00:ForeignLocations/pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])"></assert>

        <!--
            Rule ID: VR.ATO.S25A.424117
            
            WHERE IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations)
            IF pyin.xx.xx:Report.Item Order.Number = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424117" diagnostics="DVR.ATO.S25A.424117" subject="pyin.02.00:Report.ItemOrder.Number" test="not(count(pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.S25A.424114

            IF pyin.xx.xx:Report.Item Order.Number 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods)
            = ANY OTHER OCCURRENCE OF (pyin.xx.xx:Report.Item Order.Number IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods))
               RETURN VALIDATION MESSAGE
            ENDIF           
        -->
        <assert  id="VR.ATO.S25A.424114" diagnostics="DVR.ATO.S25A.424114" subject="pyin.02.00:Report.ItemOrder.Number" test="not(pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and .=../preceding-sibling::s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods/pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]])"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424116
            
            WHERE IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods)
            IF pyin.xx.xx:Report.Item Order.Number = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424116" diagnostics="DVR.ATO.S25A.424116" subject="pyin.02.00:Report.ItemOrder.Number" test="not(count(pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/s25a.0002.lodge.request.02.00:ArmsLengthPricingMethod[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.S25A.424017
            
            IF ([S25A47] <> NULLORBLANK AND [S25A46] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A47] = S25A:RP:bafot.xx.xx:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
            [S25A46] = S25A:RP:bafot.xx.xx:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
        -->

        <assert  id="VR.ATO.S25A.424017" diagnostics="DVR.ATO.S25A.424017" subject="bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code" test="not(count(bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424018
            
            IF ([S25A46] <> NULLORBLANK AND [S25A47] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A46] = S25A:RP:bafot.xx.xx:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
            [S25A47] = S25A:RP:bafot.xx.xx:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
        -->

        <assert  id="VR.ATO.S25A.424018" diagnostics="DVR.ATO.S25A.424018" subject="bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code" test="not(count(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424019
            
            IF ([S25A46] <> NULLORBLANK  AND [S25A46] = ANY OTHER OCCURRENCE OF [S25A46])
            RETURN VALIDATION MESSAGE
            ENDIF

            [S25A46] = S25A:RP:bafot.xx.xx:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
        -->

        <assert  id="VR.ATO.S25A.424019" diagnostics="DVR.ATO.S25A.424019" subject="bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code" test="not(bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt; 0
                          and bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                          =preceding::s25a.0002.lodge.request.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])"></assert>
    </rule>
</pattern>