﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataTypes Validations</title>

<!-- DATE TYPE -->

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!--xsd-datatype-monetary-->

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EarningExemptDebtDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssetRevaluation.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ExcessDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssetsValueAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DotationCapitalAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ZeroCapitalAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.OnLentAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignnonADIEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ArmsLengthDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideCapital.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideEquity.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGearingDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!-- xsd-datatype-boolean -->

<rule
		name="VR.ATO.GEN.001010"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.TransitionalProvisionApplicationforCalculations.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>
<!-- xsd-datatype-float 
<iso:rule name="VR.ATO.TCS.426049" context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGroupCapitalRatio.Amount">
        <iso:extends rule="xsd-datatype-float"/>
    </iso:rule>
xsd-datatype-sbrOrganisationNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule
		name="VR.ATO.GEN.001017"
		context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
</pattern>